Notifications
Create a notification rule
Create a new rule together with its actions in a single call. The scope target (site or tag) is validated against the org. Requires org owner role.
Authorization
bearerAuth AuthorizationBearer <token>
API token generated from the fastmon dashboard (Account → API Token). Send as Authorization: Bearer fm_... or paste the full token (including the fm_ prefix) into the Authorize dialog.
In: header
Path Parameters
org_id*Org Id
Format
uuidRequest Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/notifications/rules" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "scope_type": "site", "metric": "string", "aggregation": "string", "operator": "gt", "condition_type": "absolute", "threshold": 0, "window_seconds": 0, "actions": [ { "type": "email", "config": {} } ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "name": "string", "is_active": true, "scope_type": "site", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811", "tag": "string", "metric": "string", "aggregation": "string", "identity": "string", "operator": "gt", "condition_type": "absolute", "threshold": 0, "window_seconds": 0, "baseline_window_seconds": 0, "filters": {}, "re_notify_after_seconds": 0, "last_evaluated_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "actions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "email", "is_active": true, "config": {} } ]}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}